summaryrefslogtreecommitdiffstats
path: root/src/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/install.sh')
-rw-r--r--src/install.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/src/install.sh b/src/install.sh
index c5d3a5a..975845b 100644
--- a/src/install.sh
+++ b/src/install.sh
@@ -129,7 +129,7 @@ install_find_pkgs()
fi
pkgs_fd=${FD}
- if cert_url="$(profile_get_cert_url "${mirror}")"; then
+ if cert_url="$(profile_get_cert_url)"; then
# This is a hack to generate a fake certificate with some valid
# (but incorrect) key and the mirror-specific certificate URL to
# make opkg-cert download and verify the actual certificate.
@@ -175,7 +175,7 @@ install_find_pkgs()
_install_md5sum_cb _install_sha256sum_cb \
>&${pkgs_fd}
done <<-EOF
- $(profile_feeds "${mirror}" "${arch}" "${plat}" "${suite}")
+ $(profile_feeds "${arch}" "${plat}")
EOF
printf '\ndest root /\n' >&${opkg_conf_fd}
@@ -339,8 +339,7 @@ install_system()
fi
profile_prepare_install "${mirror}" "${suite}"
- if ! profile_validate_archplat "${mirror}" "${arch}" "${plat}" \
- "${suite}"; then
+ if ! profile_validate_archplat "${arch}" "${plat}"; then
error "$(get_msg 'install_bad_archplat')" "${arch}" "${plat}"
return 1
fi